<div class="mb-3">
  <h3
    *ngIf="name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="block.required"
  ></h3>
  <p *ngIf="description" class="text-secondary" markdown [content]="description" [context]="context"></p>
  <textarea
    #ref
    rows="3"
    class="form-control"
    [id]="block.key()"
    [required]="block.required"
    [placeholder]="placeholder"
    [attr.aria-describedby]="explanation && block.key('explanation')"
    [(ngModel)]="block.textareaSlot.value"
    (focus)="block.onFocus(ref)"
    (blur)="block.onBlur(ref)"
  ></textarea>
  <div
    *ngIf="explanation"
    class="form-text"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></div>
</div>
